import { html as a } from "lit";
import { property as p } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as g } from "@justeattakeaway/pie-webc-core";
var h = Object.defineProperty, d = Object.getOwnPropertyDescriptor, n = (l, t, o, r) => {
  for (var e = r > 1 ? void 0 : r ? d(t, o) : t, i = l.length - 1, c; i >= 0; i--)
    (c = l[i]) && (e = (r ? c(t, o, e) : c(e)) || e);
  return r && e && h(t, o, e), e;
};
let s = class extends f {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--radioUnselectedLarge", this.class = "c-pieIcon c-pieIcon--radioUnselectedLarge", this.name = "IconRadioUnselectedLarge";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--radioUnselectedLarge"><path d="M16 3.75C9.245 3.75 3.75 9.245 3.75 16S9.245 28.25 16 28.25 28.25 22.755 28.25 16 22.755 3.75 16 3.75Zm0 22.75c-5.793 0-10.5-4.707-10.5-10.5S10.207 5.5 16 5.5 26.5 10.207 26.5 16 21.793 26.5 16 26.5Z"></path></svg>`;
  }
};
n([
  p({ type: String, reflect: !0 })
], s.prototype, "size", 2);
n([
  p({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = n([
  g("icon-radio-unselected-large")
], s);
export {
  s as IconRadioUnselectedLarge
};
